Name: x11-driver-input-void
Version: 1.4.1
Release: %mkrel 6
Summary: X.org null input driver
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-input-void-%{version}.tar.bz2
License: MIT
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
Conflicts: xorg-x11-server < 7.0

Requires: x11-server-common %(xserver-sdk-abi-requires xinput)

%description
Void is a dummy/null X.org input driver.
It doesn't connect to any physical device, and it never delivers any events.
It functions as both a pointer and keyboard device, and may be used as X
server's core pointer and/or core keyboard.
It's purpose is to allow the X server to operate without a core pointer
and/or core keyboard.

%prep
%setup -q -n xf86-input-void-%{version}

%build
%configure2_5x
%make

%install
%makeinstall_std

%files
%doc COPYING
%{_libdir}/xorg/modules/input/void_drv.la
%{_libdir}/xorg/modules/input/void_drv.so
%{_mandir}/man4/void.*




%changelog
* Thu Nov 17 2016 tv <tv> 1.4.1-6.mga6
+ Revision: 1067715
- rebuild for xserver 1.19

* Sat Jul 23 2016 tmb <tmb> 1.4.1-5.mga6
+ Revision: 1043347
- rebuild for xorg-server 1.18.4

* Wed Feb 17 2016 umeabot <umeabot> 1.4.1-4.mga6
+ Revision: 963362
- Mageia 6 Mass Rebuild

* Wed Nov 11 2015 tv <tv> 1.4.1-3.mga6
+ Revision: 902285
- submit to core/release

* Wed Nov 11 2015 tv <tv> 1.4.1-2.mga6
+ Revision: 902045
- rebuild for new xserver

* Sun Jun 21 2015 tv <tv> 1.4.1-1.mga6
+ Revision: 837653
- new release

* Sat Jun 20 2015 tv <tv> 1.4.0-17.mga6
+ Revision: 836001
- rebuild for xserver 1.17

* Wed Oct 15 2014 umeabot <umeabot> 1.4.0-16.mga5
+ Revision: 738908
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.0-15.mga5
+ Revision: 690415
- Mageia 5 Mass Rebuild

* Mon Jun 09 2014 tv <tv> 1.4.0-14.mga5
+ Revision: 635005
- submit to core/release

* Fri Jun 06 2014 tv <tv> 1.4.0-13.mga5
+ Revision: 633661
- rebuild for new xserver RC

* Tue Apr 15 2014 tv <tv> 1.4.0-12.mga5
+ Revision: 614349
- rebuild for new xserver

* Tue Feb 04 2014 tv <tv> 1.4.0-11.mga5
+ Revision: 582303
- rebuild for new xserver

* Sat Oct 19 2013 umeabot <umeabot> 1.4.0-10.mga4
+ Revision: 525424
- Mageia 4 Mass Rebuild

* Thu May 30 2013 tv <tv> 1.4.0-9.mga4
+ Revision: 433140
- submit to core/release

* Mon Jan 14 2013 umeabot <umeabot> 1.4.0-8.mga4
+ Revision: 385967
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 07 2012 tv <tv> 1.4.0-7.mga3
+ Revision: 289369
- rebuild for new xserver
- rebuild for new xserver

* Wed Jun 06 2012 tmb <tmb> 1.4.0-6.mga3
+ Revision: 256348
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 1.4.0-5.mga3
+ Revision: 252997
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 1.4.0-4.mga3.nonfree
+ Revision: 250209
- rebuild for new X.org server

* Tue Dec 06 2011 tmb <tmb> 1.4.0-3.mga2
+ Revision: 177525
- submit to core/release

* Sat Oct 08 2011 tv <tv> 1.4.0-2.mga2
+ Revision: 153106
- rebuild for xserver-1.11

* Wed May 11 2011 tmb <tmb> 1.4.0-1.mga1
+ Revision: 97311
- new release (officially xserver-1.10 compatible)

* Sat Mar 05 2011 tmb <tmb> 1.3.1-3.mga1
+ Revision: 64704
- fix build with x11-server-1.10

  + tv <tv>
    - rebuild for new xserver-1.10

* Fri Feb 11 2011 tmb <tmb> 1.3.1-2.mga1
+ Revision: 50168
- imported package x11-driver-input-void

